org.eclipse.viatra.query.patternlanguage.emf.eMFPatternLanguage.impl

## Class EMFPatternLanguagePackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.viatra.query.patternlanguage.emf.eMFPatternLanguage.impl.EMFPatternLanguagePackageImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, EMFPatternLanguagePackage

      public class EMFPatternLanguagePackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements EMFPatternLanguagePackage

  An implementation of the model Package.
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.query.patternlanguage.emf.eMFPatternLanguage.EMFPatternLanguagePackage

      `EMFPatternLanguagePackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.viatra.query.patternlanguage.emf.eMFPatternLanguage.EMFPatternLanguagePackage

      `CLASS_TYPE, CLASS_TYPE__CLASSNAME, CLASS_TYPE__METAMODEL, CLASS_TYPE__TYPENAME, CLASS_TYPE_FEATURE_COUNT, ECLASSIFIER_CONSTRAINT, ECLASSIFIER_CONSTRAINT__TYPE, ECLASSIFIER_CONSTRAINT__VAR, ECLASSIFIER_CONSTRAINT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, ENUM_VALUE, ENUM_VALUE__ENUMERATION, ENUM_VALUE__LITERAL, ENUM_VALUE_FEATURE_COUNT, PACKAGE_IMPORT, PACKAGE_IMPORT__ALIAS, PACKAGE_IMPORT__EPACKAGE, PACKAGE_IMPORT_FEATURE_COUNT, PATTERN_IMPORT, PATTERN_IMPORT__PATTERN, PATTERN_IMPORT_FEATURE_COUNT, PATTERN_MODEL, PATTERN_MODEL__IMPORT_PACKAGES, PATTERN_MODEL__PACKAGE_NAME, PATTERN_MODEL__PATTERNS, PATTERN_MODEL_FEATURE_COUNT, REFERENCE_TYPE, REFERENCE_TYPE__REFNAME, REFERENCE_TYPE__TYPENAME, REFERENCE_TYPE_FEATURE_COUNT, XIMPORT_SECTION, XIMPORT_SECTION__IMPORT_DECLARATIONS, XIMPORT_SECTION__PACKAGE_IMPORT, XIMPORT_SECTION__PATTERN_IMPORT, XIMPORT_SECTION_FEATURE_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EReference` | `getClassType_Classname()`
    `org.eclipse.emf.ecore.EReference` | `getClassType_Metamodel()`
    `org.eclipse.emf.ecore.EClass` | `getClassType()`
    `org.eclipse.emf.ecore.EReference` | `getEClassifierConstraint_Type()`
    `org.eclipse.emf.ecore.EReference` | `getEClassifierConstraint_Var()`
    `org.eclipse.emf.ecore.EClass` | `getEClassifierConstraint()`
    `EMFPatternLanguageFactory` | `getEMFPatternLanguageFactory()`
    `org.eclipse.emf.ecore.EReference` | `getEnumValue_Enumeration()`
    `org.eclipse.emf.ecore.EReference` | `getEnumValue_Literal()`
    `org.eclipse.emf.ecore.EClass` | `getEnumValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getPackageImport_Alias()`
    `org.eclipse.emf.ecore.EReference` | `getPackageImport_EPackage()`
    `org.eclipse.emf.ecore.EClass` | `getPackageImport()`
    `org.eclipse.emf.ecore.EReference` | `getPatternImport_Pattern()`
    `org.eclipse.emf.ecore.EClass` | `getPatternImport()`
    `org.eclipse.emf.ecore.EReference` | `getPatternModel_ImportPackages()`
    `org.eclipse.emf.ecore.EClass` | `getPatternModel()`
    `org.eclipse.emf.ecore.EReference` | `getReferenceType_Refname()`
    `org.eclipse.emf.ecore.EClass` | `getReferenceType()`
    `org.eclipse.emf.ecore.EReference` | `getXImportSection_PackageImport()`
    `org.eclipse.emf.ecore.EReference` | `getXImportSection_PatternImport()`
    `org.eclipse.emf.ecore.EClass` | `getXImportSection()`
    `static EMFPatternLanguagePackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static EMFPatternLanguagePackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `EMFPatternLanguagePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `EMFPatternLanguagePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated:

    - #### getXImportSection

          public org.eclipse.emf.ecore.EClass getXImportSection()

      Specified by:
        `getXImportSection` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for class 'XImport Section'.
      See Also:
        `XImportSection`
      Generated:

    - #### getXImportSection_PackageImport

          public org.eclipse.emf.ecore.EReference getXImportSection_PackageImport()

      Specified by:
        `getXImportSection_PackageImport` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Package Import'.
      See Also:
        `XImportSection.getPackageImport()`, `EMFPatternLanguagePackage.getXImportSection()`
      Generated:

    - #### getXImportSection_PatternImport

          public org.eclipse.emf.ecore.EReference getXImportSection_PatternImport()

      Specified by:
        `getXImportSection_PatternImport` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for the containment reference list 'Pattern Import'.
      See Also:
        `XImportSection.getPatternImport()`, `EMFPatternLanguagePackage.getXImportSection()`
      Generated:

    - #### getPackageImport

          public org.eclipse.emf.ecore.EClass getPackageImport()

      Specified by:
        `getPackageImport` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for class 'Package Import'.
      See Also:
        `PackageImport`
      Generated:

    - #### getPackageImport_EPackage

          public org.eclipse.emf.ecore.EReference getPackageImport_EPackage()

      Specified by:
        `getPackageImport_EPackage` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for the reference 'EPackage'.
      See Also:
        `PackageImport.getEPackage()`, `EMFPatternLanguagePackage.getPackageImport()`
      Generated:

    - #### getPackageImport_Alias

          public org.eclipse.emf.ecore.EAttribute getPackageImport_Alias()

      Specified by:
        `getPackageImport_Alias` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for the attribute 'Alias'.
      See Also:
        `PackageImport.getAlias()`, `EMFPatternLanguagePackage.getPackageImport()`
      Generated:

    - #### getPatternImport

          public org.eclipse.emf.ecore.EClass getPatternImport()

      Specified by:
        `getPatternImport` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for class 'Pattern Import'.
      See Also:
        `PatternImport`
      Generated:

    - #### getPatternImport_Pattern

          public org.eclipse.emf.ecore.EReference getPatternImport_Pattern()

      Specified by:
        `getPatternImport_Pattern` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for the reference 'Pattern'.
      See Also:
        `PatternImport.getPattern()`, `EMFPatternLanguagePackage.getPatternImport()`
      Generated:

    - #### getEClassifierConstraint

          public org.eclipse.emf.ecore.EClass getEClassifierConstraint()

      Specified by:
        `getEClassifierConstraint` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for class 'EClassifier Constraint'.
      See Also:
        `EClassifierConstraint`
      Generated:

    - #### getEClassifierConstraint_Type

          public org.eclipse.emf.ecore.EReference getEClassifierConstraint_Type()

      Specified by:
        `getEClassifierConstraint_Type` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `EClassifierConstraint.getType()`, `EMFPatternLanguagePackage.getEClassifierConstraint()`
      Generated:

    - #### getEClassifierConstraint_Var

          public org.eclipse.emf.ecore.EReference getEClassifierConstraint_Var()

      Specified by:
        `getEClassifierConstraint_Var` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Var'.
      See Also:
        `EClassifierConstraint.getVar()`, `EMFPatternLanguagePackage.getEClassifierConstraint()`
      Generated:

    - #### getEnumValue

          public org.eclipse.emf.ecore.EClass getEnumValue()

      Specified by:
        `getEnumValue` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for class 'Enum Value'.
      See Also:
        `EnumValue`
      Generated:

    - #### getEnumValue_Enumeration

          public org.eclipse.emf.ecore.EReference getEnumValue_Enumeration()

      Specified by:
        `getEnumValue_Enumeration` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for the reference 'Enumeration'.
      See Also:
        `EnumValue.getEnumeration()`, `EMFPatternLanguagePackage.getEnumValue()`
      Generated:

    - #### getEnumValue_Literal

          public org.eclipse.emf.ecore.EReference getEnumValue_Literal()

      Specified by:
        `getEnumValue_Literal` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for the reference 'Literal'.
      See Also:
        `EnumValue.getLiteral()`, `EMFPatternLanguagePackage.getEnumValue()`
      Generated:

    - #### getPatternModel

          public org.eclipse.emf.ecore.EClass getPatternModel()

      Specified by:
        `getPatternModel` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for class 'Pattern Model'.
      See Also:
        `PatternModel`
      Generated:

    - #### getPatternModel_ImportPackages

          public org.eclipse.emf.ecore.EReference getPatternModel_ImportPackages()

      Specified by:
        `getPatternModel_ImportPackages` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for the containment reference 'Import Packages'.
      See Also:
        `PatternModel.getImportPackages()`, `EMFPatternLanguagePackage.getPatternModel()`
      Generated:

    - #### getClassType

          public org.eclipse.emf.ecore.EClass getClassType()

      Specified by:
        `getClassType` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for class 'Class Type'.
      See Also:
        `ClassType`
      Generated:

    - #### getClassType_Metamodel

          public org.eclipse.emf.ecore.EReference getClassType_Metamodel()

      Specified by:
        `getClassType_Metamodel` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for the reference 'Metamodel'.
      See Also:
        `ClassType.getMetamodel()`, `EMFPatternLanguagePackage.getClassType()`
      Generated:

    - #### getClassType_Classname

          public org.eclipse.emf.ecore.EReference getClassType_Classname()

      Specified by:
        `getClassType_Classname` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for the reference 'Classname'.
      See Also:
        `ClassType.getClassname()`, `EMFPatternLanguagePackage.getClassType()`
      Generated:

    - #### getReferenceType

          public org.eclipse.emf.ecore.EClass getReferenceType()

      Specified by:
        `getReferenceType` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for class 'Reference Type'.
      See Also:
        `ReferenceType`
      Generated:

    - #### getReferenceType_Refname

          public org.eclipse.emf.ecore.EReference getReferenceType_Refname()

      Specified by:
        `getReferenceType_Refname` in interface `EMFPatternLanguagePackage`
      Returns:
        the meta object for the reference 'Refname'.
      See Also:
        `ReferenceType.getRefname()`, `EMFPatternLanguagePackage.getReferenceType()`
      Generated:

    - #### getEMFPatternLanguageFactory

          public EMFPatternLanguageFactory getEMFPatternLanguageFactory()

      Specified by:
        `getEMFPatternLanguageFactory` in interface `EMFPatternLanguagePackage`
      Returns:
        the factory that creates the instances of the model.
      Generated:

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated:

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated: